<?php
/**
* Header Options.
*
* @package Omega Digital Store
*/

$omega_digital_store_default = omega_digital_store_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'omega_digital_store_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'omega-digital-store' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'omega_digital_store_theme_option_panel',
	)
);

$wp_customize->add_setting( 'omega_digital_store_header_layout_topbar_text',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_header_layout_topbar_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_digital_store_header_layout_topbar_text',
    array(
    'label'    => esc_html__( 'Header Text', 'omega-digital-store' ),
    'section'  => 'omega_digital_store_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_digital_store_header_layout_wishlist_text',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_header_layout_wishlist_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_digital_store_header_layout_wishlist_text',
    array(
    'label'    => esc_html__( 'Wishlist Text', 'omega-digital-store' ),
    'section'  => 'omega_digital_store_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_digital_store_header_layout_wishlist_link',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_header_layout_wishlist_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'omega_digital_store_header_layout_wishlist_link',
    array(
    'label'    => esc_html__( 'Wishlist Link', 'omega-digital-store' ),
    'section'  => 'omega_digital_store_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'omega_digital_store_header_layout_compare_text',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_header_layout_compare_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_digital_store_header_layout_compare_text',
    array(
    'label'    => esc_html__( 'Compare Text', 'omega-digital-store' ),
    'section'  => 'omega_digital_store_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_digital_store_header_layout_compare_link',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_header_layout_compare_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'omega_digital_store_header_layout_compare_link',
    array(
    'label'    => esc_html__( 'Compare Link', 'omega-digital-store' ),
    'section'  => 'omega_digital_store_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting('omega_digital_store_header_layout_enable_translator',
    array(
        'default' => $omega_digital_store_default['omega_digital_store_header_layout_enable_translator'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_digital_store_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_digital_store_header_layout_enable_translator',
    array(
        'label' => esc_html__('Enable Translator', 'omega-digital-store'),
        'section' => 'omega_digital_store_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'omega_digital_store_header_layout_phone_number',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_header_layout_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_digital_store_header_layout_phone_number',
    array(
    'label'    => esc_html__( 'Header Phone Number', 'omega-digital-store' ),
    'section'  => 'omega_digital_store_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('omega_digital_store_sticky',
    array(
        'default' => $omega_digital_store_default['omega_digital_store_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_digital_store_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_digital_store_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'omega-digital-store'),
        'section' => 'omega_digital_store_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('omega_digital_store_menu_font_size',
    array(
        'default'           => $omega_digital_store_default['omega_digital_store_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'omega_digital_store_sanitize_number_range',
    )
);
$wp_customize->add_control('omega_digital_store_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'omega-digital-store'),
        'section'     => 'omega_digital_store_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'omega_digital_store_menu_text_transform',
    array(
    'default'           => $omega_digital_store_default['omega_digital_store_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_digital_store_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'omega_digital_store_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'omega-digital-store' ),
    'section'     => 'omega_digital_store_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'omega-digital-store' ),
        'uppercase'  => esc_html__( 'Uppercase', 'omega-digital-store' ),
        'lowercase'    => esc_html__( 'Lowercase', 'omega-digital-store' ),
        ),
    )
);

$wp_customize->add_setting('omega_digital_store_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_digital_store_header_menus_color', array(
    'label'    => __('Main Menu Color', 'omega-digital-store'),
    'section'  => 'omega_digital_store_button_header_setting',
)));

$wp_customize->add_setting('omega_digital_store_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_digital_store_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'omega-digital-store'),
    'section'  => 'omega_digital_store_button_header_setting',
)));

$wp_customize->add_setting('omega_digital_store_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_digital_store_header_submenus_color', array(
    'label'    => __('Submenu Color', 'omega-digital-store'),
    'section'  => 'omega_digital_store_button_header_setting',
)));

$wp_customize->add_setting('omega_digital_store_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_digital_store_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'omega-digital-store'),
    'section'  => 'omega_digital_store_button_header_setting',
)));